[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLStatement.ParseSQL

Parse the SQL statement

## Declaration

Source position: sqldb.pp line 439

`published property TSQLStatement.ParseSQL : Boolean;`

## Description

ParseSQL can be set to False to disable parsing of the SQL property when it is set. The default behaviour (ParseSQL=True) is to parse the statement and detect what kind of SQL statement it is.

## See also

SQL |  | The SQL statement to execute
ParamCheck |  | Should SQL be checked for parameters